Bug 245851 - www/py-django-annotations, py-django-rq-dashboard: Mark as deprecated and set to expire
Summary: www/py-django-annotations, py-django-rq-dashboard: Mark as deprecated and set...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/PsypherPunk/django...
Keywords:
Depends on:
Blocks: 245309 245261
  Show dependency treegraph
 
Reported: 2020-04-23 14:47 UTC by Kai Knoblich
Modified: 2020-05-25 19:56 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
deprecate-py-django-annotations-and-py-django-rq-dashboard.patch (1.11 KB, patch)
2020-04-23 14:47 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-23 14:47:29 UTC
Created attachment 213725 [details]
deprecate-py-django-annotations-and-py-django-rq-dashboard.patch

Hi,

attached is the patch that deprecates both ports www/py-django-annotations and www/py-django-rq-dashboard as they are not compatible with Django 2.0+ and seem to be no longer maintained.

Django 1.11 is End-of-Life since April 2020 and there is work in progress to move all consumers of Django 1.11 to Django 2.2 (current LTS release).

Status of www/py-django-annotations:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
The original upstream repository of www/py-django-annotations was archived in in 2017 (see URL field for details) as the project is now available as standalone Django-app at PyPI (= django-annotator).

Status of devel/py-django-rq-dashboard:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
The repository seems to be no longer maintained (see PR #20, idle since +2 years) and most functions are available via devel/py-django-rq (see issue #22).
Comment 1 Kai Knoblich freebsd_committer 2020-05-11 06:02:34 UTC
Comment on attachment 213725 [details]
deprecate-py-django-annotations-and-py-django-rq-dashboard.patch

^ Triage: Set maintainer-approval to '+' due maintainer's timeout. (14+ days)
Comment 2 commit-hook freebsd_committer 2020-05-11 07:05:46 UTC
A commit references this bug:

Author: kai
Date: Mon May 11 07:05:06 UTC 2020
New revision: 534886
URL: https://svnweb.freebsd.org/changeset/ports/534886

Log:
  www/py-django-annotations: Deprecate and set to expire

  * The port works only up to Django 1.11 which is End-of-Life since April.

  * The original upstream repository is no longer maintained and was archived
    in 2017 because it's now available via PyPI as "django-annotator".

  PR:		245851
  Approved by:	maintainer timeout (14+ days)

Changes:
  head/www/py-django-annotations/Makefile
Comment 3 commit-hook freebsd_committer 2020-05-11 07:09:47 UTC
A commit references this bug:

Author: kai
Date: Mon May 11 07:09:13 UTC 2020
New revision: 534887
URL: https://svnweb.freebsd.org/changeset/ports/534887

Log:
  devel/py-django-rq-dashboard: Deprecate and set to expire

  * The project seems to be no longer maintained and most functions are
    available via devel/py-django-rq nowadays.

  * Also the package works only up to Django 1.11 which is End-of-Life since
    April 2020.

  PR:		245851
  Approved by:	maintainer timeout (14+ days)

Changes:
  head/devel/py-django-rq-dashboard/Makefile